| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
StringSTypeDefn Class Reference
eProsima Fast DDS API Reference » DDS Public API » DDS TypeObject API

This class represents the structure StringSTypeDefn defined by the user in the IDL file. More...

`#include <dds_xtypes_typeobject.hpp>`

## Public Member Functions

eProsima_user_DllExport | StringSTypeDefn ()
| Default constructor.
eProsima_user_DllExport | ~StringSTypeDefn ()
| Default destructor.
eProsima_user_DllExport | StringSTypeDefn (const StringSTypeDefn &x)
| Copy constructor.
eProsima_user_DllExport | StringSTypeDefn (StringSTypeDefn &&x) noexcept
| Move constructor.
eProsima_user_DllExport StringSTypeDefn & | operator= (const StringSTypeDefn &x)
| Copy assignment.
eProsima_user_DllExport StringSTypeDefn & | operator= (StringSTypeDefn &&x) noexcept
| Move assignment.
eProsima_user_DllExport bool | operator== (const StringSTypeDefn &x) const
| Comparison operator.
eProsima_user_DllExport bool | operator!= (const StringSTypeDefn &x) const
| Comparison operator.
eProsima_user_DllExport void | bound (SBound _bound)
| This function sets a value in member bound.
eProsima_user_DllExport SBound | bound () const
| This function returns the value of member bound.
eProsima_user_DllExport SBound & | bound ()
| This function returns a reference to member bound.

## Detailed Description

This class represents the structure StringSTypeDefn defined by the user in the IDL file.

## Constructor & Destructor Documentation

## ◆ StringSTypeDefn() [1/3]

eProsima_user_DllExport StringSTypeDefn | ( |  | ) |

inline

Default constructor.

## ◆ ~StringSTypeDefn()

eProsima_user_DllExport ~StringSTypeDefn | ( |  | ) |

inline

Default destructor.

## ◆ StringSTypeDefn() [2/3]

eProsima_user_DllExport StringSTypeDefn | ( | const StringSTypeDefn & | x | ) |

inline

Copy constructor.

Parameters

  x | Reference to the object StringSTypeDefn that will be copied.

## ◆ StringSTypeDefn() [3/3]

eProsima_user_DllExport StringSTypeDefn | ( | StringSTypeDefn && | x | ) |

inline noexcept

Move constructor.

Parameters

  x | Reference to the object StringSTypeDefn that will be copied.

## Member Function Documentation

## ◆ bound() [1/3]

eProsima_user_DllExport SBound & bound | ( |  | ) |

inline

This function returns a reference to member bound.

Returns
  Reference to member bound

## ◆ bound() [2/3]

eProsima_user_DllExport SBound bound | ( |  | ) | const

inline

This function returns the value of member bound.

Returns
  Value of member bound

## ◆ bound() [3/3]

eProsima_user_DllExport void bound | ( | SBound | _bound | ) |

inline

This function sets a value in member bound.

Parameters

  _bound | New value for member bound

## ◆ operator!=()

eProsima_user_DllExport bool operator!= | ( | const StringSTypeDefn & | x | ) | const

inline

Comparison operator.

Parameters

  x | StringSTypeDefn object to compare.

## ◆ operator=() [1/2]

eProsima_user_DllExport StringSTypeDefn & operator= | ( | const StringSTypeDefn & | x | ) |

inline

Copy assignment.

Parameters

  x | Reference to the object StringSTypeDefn that will be copied.

## ◆ operator=() [2/2]

eProsima_user_DllExport StringSTypeDefn & operator= | ( | StringSTypeDefn && | x | ) |

inline noexcept

Move assignment.

Parameters

  x | Reference to the object StringSTypeDefn that will be copied.

## ◆ operator==()

eProsima_user_DllExport bool operator== | ( | const StringSTypeDefn & | x | ) | const

inline

Comparison operator.

Parameters

  x | StringSTypeDefn object to compare.

The documentation for this class was generated from the following file:

- include/fastdds/dds/xtypes/type_representation/detail/dds_xtypes_typeobject.hpp